| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
uiSeisSingleTraceDisplay Class Reference
uiSeis

`#include <uiseissingtrcdisp.h>`

Inheritance diagram for uiSeisSingleTraceDisplay:
[legend]

## Public Member Functions
| uiSeisSingleTraceDisplay (uiParent *)
| ~uiSeisSingleTraceDisplay ()
void | addRefZ (float)
void | setData (const SeisTrc *, const char *nm)
| nm=for datapack
void | setData (const SeisTrc *, const char *nm, const ZDomain::Info &)
| nm=for datapack
void | setData (const Wavelet *)
Public Member Functions inherited from uiFlatViewer
| uiFlatViewer (uiParent *)
| ~uiFlatViewer ()
void | addAuxData (FlatView::AuxData *a) override
uiBitMapDisplay * | bitmapDisp ()
uiWorldRect | boundingBox () const
uiFlatViewControl * | control ()
FlatView::AuxData * | createAuxData (const char *nm) const override
const uiWorldRect & | curView () const
uiBorder | getAnnotBorder () const
const FlatView::AuxData * | getAuxData (int idx) const override
FlatView::AuxData * | getAuxData (int idx) override
AxesDrawer & | getAxesDrawer ()
const FlatPosData * | getFlatPosData (bool iswva)
MouseEventHandler & | getMouseEventHandler ()
const Interval< double > & | getSelDataRange (bool forx) const
uiRect | getViewRect (bool withextraborders=true) const
const uiWorld2Ui & | getWorld2Ui () const
void | handleChange (unsigned int) override
int | nrAuxData () const override
StepInterval< double > | posRange (bool forx1) const
void | reGenerate (FlatView::AuxData &) override
FlatView::AuxData * | removeAuxData (FlatView::AuxData *a) override
FlatView::AuxData * | removeAuxData (int idx) override
void | removePack (::DataPackID) override
| Releases DataPack after removing from the list.
void | removePack (FlatView::Viewer::VwrDest)
uiGraphicsView & | rgbCanvas ()
bool | setAnnotChoiceByIdx (int idx, bool dim0) override
void | setBoundingRect (const uiRect &)
void | setExtraBorders (const uiSize &lt, const uiSize &rb)
void | setExtraFactor (float f)
void | setInitialSize (const uiSize &)
void | setSeisGeomidsToViewer (TypeSet< Pos::GeomID > &)
void | setSelDataRanges (Interval< double >, Interval< double >)
void | setUseSelDataRanges (bool yn)
void | setView (const uiWorldRect &)
void | setViewToBoundingBox ()
void | updateBitmapsOnResize (bool yn)
bool | updatesBitmapsOnResize () const
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from FlatView::Viewer
| Viewer ()
virtual | ~Viewer ()
void | addPack (::DataPackID)
float | annotUserFactor (bool x2=true) const
virtual Appearance & | appearance ()
const Appearance & | appearance () const
const TypeSet< ::DataPackID > & | availablePacks () const
void | clearAllPacks ()
void | disableStatusBarUpdate ()
bool | enableChange (bool yn)
| Returns previous state.
void | enableStatusBarUpdate ()
virtual void | fillAppearancePar (IOPar &iop) const
| Does not store any data, just how data is displayed.
const TypeSet< Pos::GeomID > & | getAllSeisGeomids () const
virtual int | getAnnotChoices (uiStringSet &, bool dim0) const
void | getAuxInfo (const Point &, IOPar &) const
Coord3 | getCoord (const Point &) const
StepInterval< double > | getDataPackRange (bool forx1) const
virtual Interval< float > | getDataRange (bool wva) const
WeakPtr< FlatDataPack > | getPack (bool wva, bool checkother=false) const
ZAxisTransform * | getZAxisTransform () const
bool | hasPack (bool wva) const
bool | hasZAxisTransform () const
bool | isAvailable (::DataPackID id) const
virtual bool | isVertical () const
bool | isVisible (bool wva) const
bool | isVisible (VwrDest) const
| mOD_DisableCopy (Viewer)
bool | needStatusBarUpdate () const
int | nrXYDec () const
int | nrZDec () const
const FlatDataPack * | obtainPack (bool wva, bool checkother=false) const
DataPackID | packID (bool wva) const
virtual void | remove (const AuxData &)
void | removeAllAuxData ()
void | removeAuxDatas (ObjectSet< AuxData > &)
void | removePack (VwrDest)
void | removeUnusedPacks ()
virtual bool | setAnnotChoice (const uiString &, bool dim0)
void | setPack (bool wva, ::DataPackID id, bool usedefs=true)
void | setPack (VwrDest, FlatDataPack *, bool usedefs=true)
| add + use the datapack on either wva or vd or both
void | setPack (VwrDest,::DataPackID, bool usedefs=true)
void | setSeisGeomidsToViewer (TypeSet< Pos::GeomID > &)
void | setVisible (bool wva, bool visibility)
bool | setVisible (VwrDest, bool visibility, od_uint32 *ctype=nullptr)
bool | setZAxisTransform (ZAxisTransform *)
void | setZDomain (const ZDomain::Info &, bool display)
virtual void | showAuxDataObjects (AuxData &, bool)
void | storeDefaults (const char *key) const
virtual void | updateProperties (const AuxData &)
virtual void | useAppearancePar (const IOPar &iop)
void | usePack (bool wva, ::DataPackID id, bool usedefs=true)
void | usePack (VwrDest,::DataPackID, bool usedefs=true)
| Does not add new packs, just selects from added.
void | useStoredDefaults (const char *key)
const ZDomain::Info * | zDomain (bool display) const

## Public Attributes
int | compnr_
RefMan< FlatDataPack > | fdp_
Public Attributes inherited from uiFlatViewer
Notifier< uiFlatViewer > | annotChanged
| Annotation changed.
Notifier< uiFlatViewer > | dataChanged
| new DataPack set
Notifier< uiFlatViewer > | dispParsChanged
| Triggered with each bitmap update.
Notifier< uiFlatViewer > | dispPropChanged
| Triggered with property dlg change.
Notifier< uiFlatViewer > | viewChanged
| setView called

## Protected Member Functions
void | cleanUp ()
Protected Member Functions inherited from uiFlatViewer
uiWorldRect | getBoundingBox (bool wva) const
void | rangeUpdatedCB (CallBacker *)
void | reSizeCB (CallBacker *)
void | updateAnnotCB (CallBacker *)
void | updateAuxDataCB (CallBacker *)
void | updateBitmapCB (CallBacker *)
void | updateCB (CallBacker *)
void | updateTransforms ()
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from FlatView::Viewer
void | addAuxInfo (bool, const Point &, IOPar &) const
bool | shouldHandleChange () const

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Types inherited from FlatView::Viewer
enum | DataChangeType { All =0xFFFFFFFF , BitmapData =0x0001 , DisplayPars =0x0002 , Annot =0x0004 , Auxdata =0x0008 }
enum | VwrDest { WVA , VD , Both , None }
Static Public Member Functions inherited from uiFlatViewer
static int | annotZVal ()
static int | auxDataZVal ()
static int | bitMapZVal ()
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from FlatView::Viewer
static VwrDest | getDest (bool dowva, bool dovd)
static int | nrDec (const ZDomain::Info &)
static const char * | sKeyDefCategory ()
static const char * | sKeyVDData ()
static const char * | sKeyVDVal ()
static const char * | sKeyViewZnrDec ()
static const char * | sKeyWVAData ()
static const char * | sKeyWVAVal ()
static float | userFactor (const ZDomain::Info &data, const ZDomain::Info *display)
Protected Attributes inherited from uiFlatViewer
ObjectSet< FlatView::uiAuxDataDisplay > | auxdata_
AxesDrawer & | axesdrawer_
| Must be declared after canvas_.
uiBitMapDisplay * | bitmapdisp_
uiFlatViewControl * | control_
float | extfac_
Threads::Atomic< bool > | updateannot_
Threads::Atomic< bool > | updateauxdata_
Threads::Atomic< bool > | updatebitmap_
bool | updatebitmapsonresize_
bool | useseldataranges_
uiGraphicsView * | view_
uiWorld2Ui | w2ui_
uiGraphicsItemGroup * | worldgroup_
uiWorldRect | wr_
Interval< double > | xseldatarange_
Interval< double > | yseldatarange_
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_
Protected Attributes inherited from FlatView::Viewer
FlatView_CB_Rcvr * | cbrcvr_
ZAxisTransform * | datatransform_ = nullptr
Appearance * | defapp_ = nullptr
const ZDomain::Info * | displayzdinfo_ = nullptr
DataPackMgr & | dpm_
TypeSet< ::DataPackID > | ids_
Threads::Lock | lock_
bool | needstatusbarupd_ = true
const ZDomain::Info * | zdinfo_ = nullptr

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiSeisSingleTraceDisplay()

uiSeisSingleTraceDisplay::uiSeisSingleTraceDisplay | ( | uiParent * |  | ) |

## ◆ ~uiSeisSingleTraceDisplay()

uiSeisSingleTraceDisplay::~uiSeisSingleTraceDisplay | ( |  | ) |

## Member Function Documentation

## ◆ addRefZ()

void uiSeisSingleTraceDisplay::addRefZ | ( | float |  | ) |

Wavelet automatically get 0 as ref, traces zref or pick if n0t 0 and not undef

## ◆ cleanUp()

void uiSeisSingleTraceDisplay::cleanUp | ( |  | ) |
| protected

## ◆ setData() [1/3]

void uiSeisSingleTraceDisplay::setData | ( | const SeisTrc * | ,
|  | const char * | nm )

nm=for datapack

## ◆ setData() [2/3]

void uiSeisSingleTraceDisplay::setData | ( | const SeisTrc * | ,
|  | const char * | nm,
|  | const ZDomain::Info & | )

nm=for datapack

## ◆ setData() [3/3]

void uiSeisSingleTraceDisplay::setData | ( | const Wavelet * |  | ) |

## Member Data Documentation

## ◆ compnr_

int uiSeisSingleTraceDisplay::compnr_

## ◆ fdp_

RefMan<FlatDataPack> uiSeisSingleTraceDisplay::fdp_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025